API SERVICE
Storage
Manage application images, artifacts, datastores, and volumes. Make images available for your edge nodes to download.
START EXPLORING
Query images
GET/v1/apps/imagesExplore the parameters and response schema. Sign in from your console to try a request.
Open endpoint40 operations 5 groups
EXPLORE THE SERVICE
Endpoint groups
Expand a group to find an endpoint.
Images
Images
/v1/apps/imagesGETGet image by ID/v1/apps/images/id/{id}GETGet image by name/v1/apps/images/name/{name}GETQuery common project access list among a list of images/v1/apps/images/projectsPOSTCreate image/v1/apps/imagesPUTUpdate image/v1/apps/images/id/{id}DELETEDelete image/v1/apps/images/id/{id}/v1/apps/images/baseos/latestGETGet latest version of EVE image/v1/apps/images/baseos/latest/hwclass/{imageArch}PUTMark EVE image as latest/v1/apps/images/baseos/latestPUTMark latest EVE image by architecture/v1/apps/images/baseos/latest/hwclass/{imageArch}DELETEDelete latest EVE image/v1/apps/images/baseos/latestImage management · EVE OS images · Uploads and distribution
Artifact Manager
Artifact Manager
/v1/artifactsGETDownload artifact file chunk by chunk/v1/artifacts/id/{id}GETGenerates the signedUrl for accessing the resource/v1/artifacts/id/{id}/urlPOSTCreate artifact file in the file storage/v1/artifactsPUTUploads the given chunk into the specified multiplePart file/v1/artifacts/id/{id}/upload/chunkedDELETEDelete artifact file form the datastore/v1/artifacts/id/{id}Datastore Configuration
Datastore Configuration
/v1/datastoresGETGet datastore by ID/v1/datastores/id/{id}GETGet datastore by name/v1/datastores/name/{name}GETQuery the project access list among a list of datastore/v1/datastores/projectsPOSTCreate Datastore/v1/datastoresPUTUpdate datastore/v1/datastores/id/{id}DELETEDelete datastore/v1/datastores/id/{id}Volume Instance Configuration
Volume Instance Configuration
/v1/volumes/instancesGETGet edge volume instance by ID/v1/volumes/instances/id/{id}GETGet edge volume instance by name/v1/volumes/instances/name/{name}POSTCreate edge volume instance/v1/volumes/instancesPUTUpdate edge volume instance/v1/volumes/instances/id/{id}DELETEDelete volume instance/v1/volumes/instances/id/{id}Volume Instance Status
Volume Instance Status
/v1/volumes/instances/id/{id}/statusGETGet edge volume instance events by id/v1/volumes/instances/id/{objid}/eventsGETGet edge volume instance status by name/v1/volumes/instances/name/{name}/statusGETGet edge volume instance events by name/v1/volumes/instances/name/{objname}/eventsGETQuery status of edge volume instances/v1/volumes/instances/statusGETQuery status and config of edge volume instances/v1/volumes/instances/status-configAbout this service
About this service
The ZEDEDA Storage Service is helper service to ZEDEDA Edge Application Service. This service allows customers to store edge application images and other artifacts (e.g. logo, screenshot, license, developer agreement etc.) in Datastores. This service allows customers to select datastores — ZEDEDA owned and operated Datastores in public cloud (AWS S3 or Azure Blobstorage) — Public Datastores (e.g. Docker Hub, Azure Container registry etc.) — Customer owned and operated Datastores in public cloud (AWS S3 or Azure Blobstorage) — Customer owned and operated Datastores in their own enterprise Data Centre This service allows binary files of the images and artifacts to be uploaded in one of the above Datastores, artifacts to be downloaded from datastores. Edge nodes will download edge application image binary files from these datastores
API guides